## Apache Zeta Components Manual :: File Source for memory_var.php

## Source for file memory_var.php

Documentation is available at memory_var.php

1. <?php
2. /**
3. * File containing the ezcCacheMemoryVarStruct class.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @package Cache
23. * @version //autogentag//
24. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
25. * @filesource
26. */
28. /**
29. * Defines a memory var structure.
30. *
31. * @package Cache
32. * @version //autogentag//
33. */
34. class ezcCacheMemoryVarStruct extends ezcBaseStruct
35. {
36. /**
37. * Holds the cache key.
38. *
39. * @var string
40. */
41. public $key ;
43. /**
44. * Holds the data associated with the key.
45. *
46. * @var mixed
47. */
48. public $var ;
50. /**
51. * Holds the TTL value of the cache.
52. *
53. * @var int
54. */
55. public $ttl ;
57. /**
58. * Constructs a new ezcCacheMemoryVarStruct object.
59. *
60. * @param string $key
61. * @param mixed $var
62. * @param int $ttl
63. */
64. public function __construct ( $key, $var, $ttl )
65. {
66. $this-> key = $key;
67. $this-> var = $var;
68. $this-> ttl = $ttl;
69. }
70. }
71. ?>

Documentation generated by phpDocumentor 1.4.3